function init(hero) {
    hero.setName("Mini-Max");
    hero.setVersion("Animated Series");
    hero.setTier(4);
    
    hero.setHelmet("Mini-Helmet");
    hero.setChestplate("Mini-Chestpiece");
    hero.setLeggings("Mini-Leggings");
    hero.setBoots("Mini-Boots");

    hero.addAbilities("fiskheroes:superhuman_durability", "fiskheroes:cold_resistance", "fiskheroes:fire_immunity", "fiskheroes:steel_transformation", "fiskheroes:healing_factor", "fiskheroes:gliding_flight", "fiskheroes:propelled_flight", "fiskheroes:hover");
    hero.addWeaknesses("fiskheroes:metal_skin");
    hero.addAttribute("ATTACK_DAMAGE", 1.25, 1);
    hero.addAttribute("SPRINT_SPEED", 0.75, 1);
    hero.addAttribute("JUMP_HEIGHT", 3.25, 0);
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -1.0, 1);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);

    hero.addKeyBind("STEEL_TRANSFORM", "Mini-Maximum", 1);
    hero.addKeyBind("HOVER", "key.hover", 2);

    hero.setDefaultScale(.6);
    hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);
}
function steelProfile(profile) {
    profile.addAttribute("ATTACK_DAMAGE", 2.5, 1);
    profile.addAttribute("FALL_RESISTANCE", 2.0, 1);
    profile.addAttribute("JUMP_HEIGHT", 5.5, 0);
    profile.addAttribute("PUNCH_DAMAGE", 6.75, 0);
    profile.addAttribute("SPRINT_SPEED", 1.25, 1);
    profile.addAttribute("SWORD_DAMAGE", -1.25, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:steeled") ? "STEEL" : null;
}
